// Code scaffolded by goctl. Safe to edit.
// goctl 1.10.1

package operationRecord

import (
	"net/http"

	"github.com/zeromicro/go-zero/rest/httpx"
	operationrecord "sundynix-micro-go/app/system/api/internal/logic/operationRecord"
	"sundynix-micro-go/app/system/api/internal/svc"
	"sundynix-micro-go/app/system/api/internal/types"
	"sundynix-micro-go/common/response"
)

// 操作日志列表
func GetOperationRecordListHandler(svcCtx *svc.ServiceContext) http.HandlerFunc {
	return func(w http.ResponseWriter, r *http.Request) {
		var req types.OperationRecordListReq
		if err := httpx.Parse(r, &req); err != nil {
			response.Fail(w, err.Error())
			return
		}

		l := operationrecord.NewGetOperationRecordListLogic(r.Context(), svcCtx)
		resp, err := l.GetOperationRecordList(&req)
		if err != nil {
			response.Fail(w, err.Error())
		} else {
			response.OkWithData(w, resp)
		}
	}
}
